module Sortable
  extend ActiveSupport::Concern

  included do
    before_action :update_position, only: :update
  end

  def update_position
    if params.has_key?(:position)
      item = controller_name.classify.constantize.find(params[:id])
      item.insert_at(params[:position].to_i)
      render nothing: true, status: :ok
      false
    end
  end

end