class AdminController < ApplicationController

  def index
    # console
  end

  def links_pinned
    current_account.administrator.update links_pinned: params[:pinned]
    render nothing: true
  end

  def paginated(scope)
    scope.paginate(page: params[:page], per_page: 20)
  end

  helper_method :tabular_filter

  def tabular_filter
    @tabular_filter ||= TabularFilter.new(params)
  end
end
